ExifIFD (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class ExifIFD

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.IFD
          edu.harvard.hul.ois.jhove.module.tiff.ExifIFD

    public class ExifIFD

extends IFD

Encapsulation of a Exif IFD

Field Summary
`static java.lang.String[]` | `COMPONENTSCONFIGURATION_L`
`static java.lang.String[]` | `CONTRAST_L`
`static java.lang.String[]` | `CUSTOMRENDERED_L`
`static java.lang.String[]` | `EXPOSUREMODE_L`
`static java.lang.String[]` | `EXPOSUREPROGRAM_L`
`static java.lang.String[]` | `FILESOURCE_L`
`static int[]` | `FLASH_INDEX`
`static java.lang.String[]` | `FLASH_L`
`static java.lang.String[]` | `FOCALPLANERESOLUTIONUNIT_L`
`static java.lang.String[]` | `GAINCONTROL_L`
`static int[]` | `LIGHTSOURCE_INDEX`
`static java.lang.String[]` | `LIGHTSOURCE_L`
`static int[]` | `METERINGMODE_INDEX`
`static java.lang.String[]` | `METERINGMODE_L`
`static java.lang.String[]` | `SATURATION_L`
`static java.lang.String[]` | `SCENECAPTURETYPE_L`
`static java.lang.String[]` | `SCENETYPE_L`
`static java.lang.String[]` | `SENSINGMETHOD_L`
`static java.lang.String[]` | `SHARPNESS_L`
`static java.lang.String[]` | `SUBJECTDISTANCERANGE_L`
`static java.lang.String[]` | `WHITEBALANCE_L`

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.IFD
`_bigEndian, _info, _next, _offset, _version, ASCII, BYTE, DOUBLE, EXIF, FLOAT, GLOBALPARAMETERS, GPSINFO, IFD, INTEROPERABILITY, LONG, NULL, RATIONAL, SBYTE, SHORT, SLONG, SRATIONAL, SSHORT, TIFF, TYPE, UNDEFINED`

Constructor Summary
`ExifIFD(long offset, RepInfo info, java.io.RandomAccessFile raf, boolean bigEndian)` Instantiate an `ExifIFD` object.

Method Summary
`java.util.List` | `exifProps(Property pHeader)` Extracts and returns the Exif property list from a standard IFD property header.
`int` | `getColorspace()` returns the colorspace value (tag 40961).
`java.lang.String` | `getExifVersion()` Returns the Exif version string (tag 36864).
`java.lang.String` | `getFlashpixVersion()` Returns the Flashpix version string (tag 40960).
`NisoImageMetadata` | `getNisoImageMetadata()` Returns the constructed NisoImageMetadata.
`Property` | `getProperty(boolean rawOutput)` Get the IFD properties.
`void` | `lookupTag(int tag, int type, long count, long value)` Lookup an IFD tag.

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.IFD
`addBitmaskProperty, addIntegerArrayProperty, addIntegerProperty, addIntegerProperty, addRationalArrayProperty, addRationalProperty, average, calcValueSize, checkCount, checkType, checkType, getErrors, getNext, getOffset, getVersion, isBigEndian, isFirst, isThumbnail, parse, parse, parse, postParseInitialization, propertyHeader, readASCII, readASCIIArray, readByte, readByteArray, readDoubleArray, readLong, readLongArray, readRational, readRationalArray, readShort, readShortArray, readSignedRational, readSignedRationalArray, readSShortArray, readTrueByteArray, readUnsigned, setFirst, setThumbnail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENTSCONFIGURATION_L

    public static final java.lang.String[] COMPONENTSCONFIGURATION_L

### CONTRAST_L

    public static final java.lang.String[] CONTRAST_L

### CUSTOMRENDERED_L

    public static final java.lang.String[] CUSTOMRENDERED_L

### EXPOSUREMODE_L

    public static final java.lang.String[] EXPOSUREMODE_L

### EXPOSUREPROGRAM_L

    public static final java.lang.String[] EXPOSUREPROGRAM_L

### FILESOURCE_L

    public static final java.lang.String[] FILESOURCE_L

### FLASH_L

    public static final java.lang.String[] FLASH_L

### FLASH_INDEX

    public static final int[] FLASH_INDEX

### FOCALPLANERESOLUTIONUNIT_L

    public static final java.lang.String[] FOCALPLANERESOLUTIONUNIT_L

### GAINCONTROL_L

    public static final java.lang.String[] GAINCONTROL_L

### LIGHTSOURCE_L

    public static final java.lang.String[] LIGHTSOURCE_L

### LIGHTSOURCE_INDEX

    public static final int[] LIGHTSOURCE_INDEX

### METERINGMODE_L

    public static final java.lang.String[] METERINGMODE_L

### METERINGMODE_INDEX

    public static final int[] METERINGMODE_INDEX

### SATURATION_L

    public static final java.lang.String[] SATURATION_L

### SCENECAPTURETYPE_L

    public static final java.lang.String[] SCENECAPTURETYPE_L

### SCENETYPE_L

    public static final java.lang.String[] SCENETYPE_L

### SENSINGMETHOD_L

    public static final java.lang.String[] SENSINGMETHOD_L

### SHARPNESS_L

    public static final java.lang.String[] SHARPNESS_L

### SUBJECTDISTANCERANGE_L

    public static final java.lang.String[] SUBJECTDISTANCERANGE_L

### WHITEBALANCE_L

    public static final java.lang.String[] WHITEBALANCE_L

Constructor Detail

### ExifIFD

    public ExifIFD(long offset,
                   RepInfo info,
                   java.io.RandomAccessFile raf,
                   boolean bigEndian)

  Instantiate an `ExifIFD` object.

  Parameters:
    `offset` - IFD offset
    `info` - the RepInfo object
    `raf` - TIFF file
    `bigEndian` - True if big-endian file

Method Detail

### getProperty

    public Property getProperty(boolean rawOutput)

  Get the IFD properties.

  Specified by:
    `getProperty` in class `IFD`

### getExifVersion

    public java.lang.String getExifVersion()

  Returns the Exif version string (tag 36864).

### getNisoImageMetadata

    public NisoImageMetadata getNisoImageMetadata()

  Returns the constructed NisoImageMetadata.

### getFlashpixVersion

    public java.lang.String getFlashpixVersion()

  Returns the Flashpix version string (tag 40960).

### getColorspace

    public int getColorspace()

  returns the colorspace value (tag 40961).

### exifProps

    public java.util.List exifProps(Property pHeader)

  Extracts and returns the Exif property list from a standard IFD property header.

### lookupTag

    public void lookupTag(int tag,
                          int type,
                          long count,
                          long value)
                   throws TiffException

  Lookup an IFD tag.

  Specified by:
    `lookupTag` in class `IFD`
  Throws:
    `TiffException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD